Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.GetSettingByKeyResponse;
public class Application {
public static void main(String[] args) throws Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetSettingByKeyResponse res = sdk.settings().getByKey()
.category("feature-flags")
.key("new_ui_enabled")
.call();
if (res.oneOf().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.tradearies.dev/v1/config/{category}/settings/{key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tradearies.dev/v1/config/{category}/settings/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/config/{category}/settings/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
trueSettings
Get Setting by Key
Get a specific global setting by category and key.
Requires bearer token authentication
GET
/
v1
/
config
/
{category}
/
settings
/
{key}
Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.GetSettingByKeyResponse;
public class Application {
public static void main(String[] args) throws Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetSettingByKeyResponse res = sdk.settings().getByKey()
.category("feature-flags")
.key("new_ui_enabled")
.call();
if (res.oneOf().isPresent()) {
// handle response
}
}
}trueAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Category of the setting (e.g., 'display', 'trading', 'notifications')
The specific setting key
Response
Global setting retrieved successfully
Was this page helpful?
⌘I